Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 51)
@@ -0,0 +1,1437 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.Master
+{
+    public partial class FrmPersonInCharge
+    {
+        #region 画面ロック
+        /// <summary>
+        /// 画面ロック
+        /// </summary>
+        private void ControlLock(bool bctrl = true)
+        {
+            foreach (Control wrk in m_dispControl)
+            {
+                if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                if (!wrk.GetType().Equals(typeof(Label)))
+                    wrk.Enabled = bctrl;
+            }
+            btnBackColor.Enabled = bctrl;
+            btnSalaryAdd.Enabled = bctrl;
+            btnSalaryDel.Enabled = bctrl;
+            btnRefDepAdd.Enabled = bctrl;
+            btnRefDepDel.Enabled = bctrl;
+        }
+        #endregion
+
+        #region 画面クリア
+        /// <summary>
+        /// 画面クリア
+        /// </summary>
+        private void ClearDisplay()
+        {
+            foreach (Control wrk in m_dispControl)
+            {
+                if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                wrk.Text = "";
+                CommonMotions.chgBackColor(wrk, true);
+            }
+
+            // 新規時は担当者コードを表示しない
+            if (m_PersonCode == 0)
+            {
+                lblPersonLabel.Visible = false;
+                lblPersonCode.Visible = false;
+            }
+            else
+            {
+                lblPersonLabel.Visible = true;
+                lblPersonCode.Visible = true;
+            }
+            // コンボボックス初期処理
+            SetSecurityManagementCombBox();
+            SetDepartmentCombBox(cmbDepartment);
+            SetDepartmentCombBox(cmbRefDepartment);
+            SetCalcLedgerCombBox();
+
+            // グリッドクリア
+            dgvSalary.Rows.Clear();
+            dgvRefDepartment.Rows.Clear();
+
+            m_bChengeAns = false;
+        }
+        #endregion
+
+        #region 行選択時処理
+        /// <summary>
+        /// 行選択時処理
+        /// </summary>
+        private void DataSelectRow()
+        {
+            try
+            {
+                if (m_bChengeAns)
+                {
+                    if (MessageBox.Show("データに変更があります、登録内容を破棄してよろしいですか？。", "終了確認"
+                                    , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                    {
+                        return;
+                    }
+                }
+                if (dgvMaster.Rows.Count < 1) return;
+                if (dgvMaster.CurrentRow.Index < 0) return;
+
+                // 空白行は処理しない
+                if (CommonMotions.chkObjectIsNull(dgvMaster.CurrentRow.Cells[(int)DispListColumn.PERSON_CODE].Value) ||
+                    CommonMotions.cnvString(dgvMaster.CurrentRow.Cells[(int)DispListColumn.PERSON_CODE].Value).Length == 0)
+                {
+                    // クリア
+                    ClearDisplay();
+                    // フィールドロック解除
+                    ControlLock(false);
+                    return;
+                }
+
+                m_PersonCode = CommonMotions.cnvInt(dgvMaster.CurrentRow.Cells[(int)DispListColumn.PERSON_CODE].Value);
+
+                // クリア
+                ClearDisplay();
+
+                // フィールドロック解除
+                ControlLock();
+
+                // 更新データ取得
+                DispMentenanceData();
+
+                // モード表示
+                if (m_EditLock)
+                    m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringRef;
+                else
+                    m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringEdit;
+
+                // 参照時はデータ変更させない
+                if (m_EditLock)
+                {
+                    ExecReadOnly();
+                }
+
+                // フォーカスセット
+                m_dispControl[(int)DispCtrl.PersonName].Focus();
+
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 初期時データ取得
+        /// <summary>
+        /// 初期時データ取得
+        /// </summary>
+        private bool DispGridData()
+        {
+            // 担当者マスタクラス
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            try
+            {
+                // 担当者マスタ取得クラス領域
+                List<PersonInChargeMaster> pic = new List<PersonInChargeMaster>();
+                // 担当者マスタ取得SQL
+                string strSql = string.Format(" Where EmployeeClassFlg = {0} And DeleteFlg = 0 Order By DisplayOrder ASC", (int)CommonDefine.EmployeeClassFlg.Regular);
+                // グリッドの行を0に戻す
+                dgvMaster.Rows.Clear(); ;
+                // 担当者マスタ取得
+                if (!picDB.SelectAction(strSql, ref pic)) return false;
+
+                // データ表示
+                int ino = 1, icnt = 0;
+                foreach (PersonInChargeMaster work in pic)
+                {
+                    dgvMaster.Rows.Add((ino++).ToString()
+                                        , work.PersonCode
+                                        , work.PersonName
+                                        , work.StartDate.ToShortDateString()
+                                        , work.EndDate.ToShortDateString()
+                                        , work.PassWord
+                                        , work.SecCode.ToString());
+
+                    dgvMaster.Rows[icnt++].Cells[(int)DispListColumn.PERSON_NAME].ToolTipText = work.PersonName;
+                }
+                // 表示行が足りない場合は追加する
+                if (dgvMaster.Rows.Count <= CommonDefine.s_MaxInitLineCountMastamente)
+                {
+                    int iAddLine = CommonDefine.s_MaxInitLineCountMastamente - dgvMaster.Rows.Count;
+                    for (int i = 0; i < iAddLine; i++)
+                    {
+                        dgvMaster.Rows.Add();
+                    }
+                }
+
+                // 読込時データカウント取得
+                m_initDataCount = pic.Count;
+
+                // 行を選択しない
+                dgvMaster.ClearSelection();
+
+                return true;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                picDB.close();
+                picDB = null;
+            }
+        }
+        #endregion
+
+        #region 更新データ表示処理
+        /// <summary>
+        /// 更新データ表示処理
+        /// </summary>
+        /// <param name="iLinecnt">行カウント</param>
+        /// <returns></returns>
+        private bool DispMentenanceData()
+        {
+            // 担当者マスタクラス
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            try
+            {
+                // スクロール先頭
+                tableLayoutPanel1.VerticalScroll.Value = 0;
+
+                // 担当者マスタ取得SQL
+                string strSql = "SELECT A.*, B.SECNAME, B.SECRANK, B.SECRANGE FROM PERSONINCHARGEMASTER A";
+                strSql += " LEFT JOIN SECURITYMASTER B ON B.SECCODE = A.SECCODE";
+                strSql += string.Format(" Where A.PersonCode = {0}", m_PersonCode);
+                ArrayList arList = new ArrayList();
+
+                // 担当者マスタ取得
+                if (!picDB.ExecuteReader(strSql, ref arList)) return false;
+                if (arList.Count == 0) return false;
+                object[] picRec = (object[])arList[0];
+
+                // 終了日付に未定を表示する
+                bool showFocus = false;
+                CommonMotions.SendMessage(txtInput3.Handle, 5377, new IntPtr(showFocus ? 1 : 0), CommonDefine.s_UndecidedString);
+
+                // データ表示
+                m_dispControl[(int)DispCtrl.PersonCode].Text = CommonMotions.cnvInt(picRec[(int)IOMPersonInCharge.ColumnCnt.PersonCode]).ToString();
+                m_dispControl[(int)DispCtrl.PersonName].Text = CommonMotions.cnvString(picRec[(int)IOMPersonInCharge.ColumnCnt.PersonName]);
+                m_dispControl[(int)DispCtrl.StartDate].Text = CommonMotions.cnvDate(picRec[(int)IOMPersonInCharge.ColumnCnt.StartDate]).ToShortDateString();
+
+                DateTime EndDate = CommonMotions.cnvDate(picRec[(int)IOMPersonInCharge.ColumnCnt.EndDate]);
+                if (EndDate != DateTime.MinValue)
+                    m_dispControl[(int)DispCtrl.EndDate].Text = EndDate.ToShortDateString();
+
+                m_dispControl[(int)DispCtrl.PassWord].Text = CommonMotions.cnvString(picRec[(int)IOMPersonInCharge.ColumnCnt.PassWord]);
+
+                //m_dispControl[(int)Dispcount.MonthlySalary].Text = CommonMotions.cnvInt(picList[(int)IOMPersonInCharge.NameColumn.MonthlySalary]).ToString("#,#0");
+                //m_dispControl[(int)Dispcount.YearSalary].Text = CommonMotions.cnvInt(picList[(int)IOMPersonInCharge.NameColumn.YearSalary]).ToString("#,#0");
+
+                #region 未使用
+                // 一般使用者は承認色を使用しない
+                //if (picList.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                //{
+                //    label15.Visible = false;
+                //    m_dispControl[(int)Dispcount.MessageColor].Visible = false;
+                //    btnBackColor.Visible = false;
+                //}
+                //else
+                //{
+                //    label15.Visible = true;
+                //    m_dispControl[(int)Dispcount.MessageColor].Visible = true;
+                //    btnBackColor.Visible = true;
+
+                //    // 背景色設定
+                //    m_dispControl[(int)Dispcount.MessageColor].BackColor = CommonMotions.getBackForeColor(picList.MsgBackColor
+                //                                                        , CommonDefine.PalceOfColor.BackColor);
+                //}
+                #endregion
+
+                m_bEventStop = true;
+                ((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue = CommonMotions.cnvInt(picRec[(int)IOMPersonInCharge.ColumnCnt.SecCode]);
+                m_bEventStop = false;
+                m_dispControl[(int)DispCtrl.SecurityManegement].Text = CommonMotions.cnvInt(picRec[(int)IOMPersonInCharge.ColumnCnt.SecurityManagement]).ToString();
+
+                ((ComboBox)m_dispControl[(int)DispCtrl.LedgerFlg]).SelectedValue = CommonMotions.cnvInt(picRec[(int)IOMPersonInCharge.ColumnCnt.LedgerFlg]);
+                ((ComboBox)m_dispControl[(int)DispCtrl.Department]).SelectedValue = CommonMotions.cnvInt(picRec[(int)IOMPersonInCharge.ColumnCnt.DepartmentCode]);
+
+                m_dispControl[(int)DispCtrl.DisplayString].Text = CommonMotions.cnvString(picRec[(int)IOMPersonInCharge.ColumnCnt.DisplayString]);
+                m_dispControl[(int)DispCtrl.Qualification].Text = CommonMotions.cnvString(picRec[(int)IOMPersonInCharge.ColumnCnt.Qualification]);
+                m_dispControl[(int)DispCtrl.SealPrintName].Text = CommonMotions.cnvString(picRec[(int)IOMPersonInCharge.ColumnCnt.SealPrintName]);
+
+                // 機密区分
+                ((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue = CommonMotions.cnvInt(picRec[(int)IOMPersonInCharge.ColumnCnt.SecCode]);
+
+                int PersonRecCnt = Enum.GetNames(typeof(IOMPersonInCharge.ColumnCnt)).Length;
+                // 機密区分ランク
+                int SecRank = CommonMotions.cnvInt(picRec[PersonRecCnt + 1]);
+                SetSecRankString(SecRank);
+
+                // 機密区分範囲
+                int SecRange = CommonMotions.cnvInt(picRec[PersonRecCnt + 2]);
+                // 参照部署データ表示
+                RefDepartmentData(SecRange);
+
+                m_bChengeAns = false;
+
+                // 給与グリッド表示
+                DisplaySalaryGrid();
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region 給与一覧グリッド表示
+        /// <summary>
+        /// 給与一覧グリッド表示
+        /// </summary>
+        private void DisplaySalaryGrid()
+        {
+            IOMPersonSalary SalaryDB = new IOMPersonSalary();
+            try
+            {
+                dgvSalary.Rows.Clear();
+
+                string strSQL = SalaryDB.CreatePrimarykeyString(m_PersonCode, DateTime.MinValue);
+                strSQL += " ORDER BY StartDate DESC";
+                List<PersonSalaryMaster> SalaryList = new List<PersonSalaryMaster>();
+                SalaryDB.SelectAction(strSQL, ref SalaryList);
+
+                foreach (PersonSalaryMaster wrkRec in SalaryList)
+                {
+                    dgvSalary.Rows.Add(wrkRec.StartDate.ToShortDateString(),
+                                        wrkRec.MonthlySalary.ToString("#,0"),
+                                        wrkRec.YearSalary.ToString("#,0"));
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                SalaryDB.close(); SalaryDB = null;
+                // 空行詰め
+                int count = s_FixRowsSalaryGrid - dgvSalary.RowCount;
+                if (count > 0) dgvSalary.RowCount += count;
+            }
+        }
+        #endregion
+
+        #region 参照部署データ表示部制御
+        /// <summary>
+        /// 参照部署データ表示部制御
+        /// </summary>
+        /// <param name="SecRange"></param>
+        private void RefDepartmentData(int SecRange)
+        {
+            try
+            {
+                // ----- 機密範囲の表示
+                // 機密区分範囲
+                KeyValuePair<int, string> SecRangeValue;
+                if (SecRange == 0)
+                {
+                    SecRangeValue = CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.Only];
+                }
+                else
+                {
+                    SecRangeValue = CommonMotions.SearchSecurityRangeList(SecRange);
+                }
+                m_dispControl[(int)DispCtrl.SecRange].Text = SecRangeValue.Value;
+
+                // ----- 参照部署の表示制御
+                label15.Visible = false;
+                lblMessageColor.Visible = false;
+                btnBackColor.Visible = false;
+
+                if (SecRange == CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.AllPath].Key)
+                {   // 全部署対象はデータ表示のみ
+                    label12.Visible = true;
+                    cmbRefDepartment.Visible = false;
+                    btnRefDepAdd.Visible = false;
+                    btnRefDepDel.Visible = false;
+                    dgvRefDepartment.Visible = true;
+                }
+                else if (SecRange == CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.Multiple].Key)
+                {   // 複数部署対象は追加・削除可能
+                    label12.Visible = true;
+                    cmbRefDepartment.Visible = true;
+                    btnRefDepAdd.Visible = true;
+                    btnRefDepDel.Visible = true;
+                    dgvRefDepartment.Visible = true;
+                }
+                else
+                {   // その他は表示しない
+                    label12.Visible = false;
+                    cmbRefDepartment.Visible = false;
+                    btnRefDepAdd.Visible = false;
+                    btnRefDepDel.Visible = false;
+                    dgvRefDepartment.Visible = false;
+                    dgvRefDepartment.Rows.Clear();
+                }
+
+                // ----- 参照部署表示
+                DisplayRefDepartmentGrid(SecRange);
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 参照部署一覧グリッド表示
+        /// <summary>
+        /// 参照部署一覧グリッド表示
+        /// </summary>
+        private void DisplayRefDepartmentGrid(int SecRange)
+        {
+            IOMDepartment DepDB = new IOMDepartment();
+            try
+            {
+                // グリッドクリア
+                dgvRefDepartment.Rows.Clear();
+
+                if (SecRange == CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.AllPath].Key)
+                {
+                    List<DepartmentMaster> DepList = new List<DepartmentMaster>();
+                    string strSQL = " WHERE DELETEFLG = 0 ORDER BY DISPLAYORDER";
+                    if (!DepDB.SelectAction(strSQL, ref DepList)) return;
+                    foreach (DepartmentMaster DepRec in DepList)
+                    {
+                        // 自部署は表示しない
+                        if (DepRec.DepartmentCode == CommonMotions.cnvInt(cmbDepartment.SelectedValue)) continue;
+                        dgvRefDepartment.Rows.Add(DepRec.DepartmentCode, DepRec.DepartmentString);
+                    }
+                }
+                else if (SecRange == CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.Multiple].Key)
+                {
+                    // 参照部署取得
+                    List<KeyValuePair<int, string>> DepList = new List<KeyValuePair<int, string>>();
+                    int PersonCode = CommonMotions.cnvInt(lblPersonCode.Text);
+                    int SecCode = CommonMotions.cnvInt(cmbSecManage.SelectedValue);
+                    if (!ClsSecurityPermission.GetRefDepartment(CommonMotions.cnvInt(lblPersonCode.Text),
+                                                            ref DepList,
+                                                            true,
+                                                            SecCode)) return;
+                    for (int i = 0; i < DepList.Count; i++)
+                    {
+                        // 自部署は表示しない
+                        if (DepList[i].Key == CommonMotions.cnvInt(cmbDepartment.SelectedValue)) continue;
+                        dgvRefDepartment.Rows.Add(DepList[i].Key, DepList[i].Value);
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                DepDB.close(); DepDB = null;
+
+                if (SecRange == CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.AllPath].Key
+                    || SecRange == CommonDefine.SecurityRangeList[(int)CommonDefine.SecurityRangePos.Multiple].Key)
+                {
+                    // 空行詰め
+                    int count = s_FixRowsRefDepGrid - dgvRefDepartment.RowCount;
+                    if (count > 0) dgvRefDepartment.RowCount += count;
+                }
+            }
+        }
+        #endregion
+
+        #region 日付フィールドの処理
+        /// <summary>
+        /// 日付フィールドの処理
+        /// </summary>
+        /// <param name="txtbox"></param>
+        private void InputDateField(TextBox txtbox)
+        {
+            try
+            {
+                // 日付フィールドの値が変更なしならば処理しない
+                if (!m_bDateChange) return;
+
+                // 日付をyyyy/mm/dd形式で表示する
+                if (txtbox.Text.Length == 0) return;
+
+                // 日付がおかしい時は処理しない
+                if (!CommonMotions.chkDate(txtbox.Text.ToString())) return;
+
+                // 日付編集表示
+                DateTime wrkDt = DateTime.Parse(txtbox.Text);
+                txtbox.Text = wrkDt.ToShortDateString();
+
+                // 変更フラグON
+                m_bChengeAns = true;
+                m_bDateChange = false;
+
+                // 開始日付以外は処理終了する
+                if (txtbox != (TextBox)m_dispControl[(int)DispCtrl.StartDate]) return;
+
+                // 以下は新規のときのみ処理する
+                if (lblPersonCode.Text.Length != 0) return;
+
+                // 担当者コード用にyyyy/mmを取得する
+                string work = wrkDt.Year.ToString("0000") + "/" + wrkDt.Month.ToString("00");
+
+                // ----- 担当者コード・初期パスワードを作成する
+                // 担当者コードの基を取得する
+                int personcode = GetMaxPersonCode(work);
+                if (personcode == 0)
+                {   // 対象月に登録者がいない場合は1番で作成
+                    m_dispControl[(int)DispCtrl.PersonCode].Text = work.Replace("/", "") + string.Format("{0:00}", 1);
+                }
+                else
+                {   // 対象月に登録者がいた場合はその番号+1にする
+                    m_dispControl[(int)DispCtrl.PersonCode].Text = string.Format("{0:00000000}", personcode + 1);
+                }
+                // 新規時はパスワードを同じにする
+                if (m_dispControl[(int)DispCtrl.EditMode].Text.Trim().Equals(CommonDefine.EditModeStringNew))
+                {
+                    m_dispControl[(int)DispCtrl.PassWord].Text = m_dispControl[(int)DispCtrl.PersonCode].Text;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 画面項目のチェック
+        /// <summary>
+        /// 画面項目のチェック
+        /// </summary>
+        /// <returns></returns>
+        private bool DispFeildCheck()
+        {
+            bool bRet = true;
+            int iLength = 0;
+            try
+            {
+                // 担当者名
+                if (m_dispControl[(int)DispCtrl.PersonName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.PersonName], s_PersonNameLength, true);
+
+                // マスタ使用開始年月
+                if (m_dispControl[(int)DispCtrl.StartDate].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)DispCtrl.StartDate], true);
+
+                // マスタ使用終了年月
+                if (m_dispControl[(int)DispCtrl.EndDate].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)DispCtrl.EndDate]);
+
+                //　パスワード
+                if (m_dispControl[(int)DispCtrl.PassWord].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.PassWord], s_PassWordLength, true);
+
+                //　保護区分
+                //if (m_dispControl[(int)DispCtrl.SecManage].Text.Length != 0) iLength++;
+                //bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.SecManage]);
+
+                // 表示・印刷名称
+                if (m_dispControl[(int)DispCtrl.DisplayString].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.DisplayString], s_DisplayStringLength);
+
+                //　部署コード
+                int SecVal = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue.ToString());
+                if (SecVal > CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.LimitedAuthority].Key)
+                {
+                    if (m_dispControl[(int)DispCtrl.Department].Text.Length != 0) iLength++;
+                    bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.Department]);
+                }
+
+                // 給与入力チェック
+                bool bSalary = true;
+                if (!dgvSalaryExists()) bSalary = false;
+                bRet &= bSalary;
+                // 背景色変更
+                CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.MonthlySalary], bSalary);
+                CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.YearSalary], bSalary);
+                CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.SalaryStDate], bSalary);
+                
+                //// 月給金額
+                //if (m_dispControl[(int)Dispcount.MonthlySalary].Text.Length != 0) iLength++;
+                //bRet &= CommonMotions.DispFieldDoubleCheck(m_dispControl[(int)Dispcount.MonthlySalary], true);
+
+                //// 年棒金額
+                //if (m_dispControl[(int)Dispcount.YearSalary].Text.Length != 0) iLength++;
+                //bRet &= CommonMotions.DispFieldDoubleCheck(m_dispControl[(int)Dispcount.YearSalary], true);
+
+                // 資格情報
+                if (m_dispControl[(int)DispCtrl.Qualification].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Qualification], s_QualificationLength, false);
+
+                // 印鑑表示名
+                if (m_dispControl[(int)DispCtrl.SealPrintName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.SealPrintName], s_SealPrintNameLength, false);
+
+                if (iLength == 0)
+                {
+                    MessageBox.Show("データが入力されていません、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+                if (!bRet)
+                {
+                    MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 給与グリッドデータ存在チェック
+        /// <summary>
+        /// 給与グリッドデータ存在チェック
+        /// </summary>
+        /// <returns></returns>
+        private bool dgvSalaryExists()
+        {
+            try
+            {
+                bool bRet = false;
+                foreach (DataGridViewRow wrkRow in dgvSalary.Rows)
+                {
+                    if (wrkRow.Cells[0].Value.ToString().Length != 0)
+                    {
+                        bRet = true;
+                        break;
+                    }
+                }
+
+                return bRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 登録月の最大値担当者コードを取得する
+        /// <summary>
+        /// 登録月の最大値担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetMaxPersonCode(string strDate)
+        {
+            int iRet = 0;
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            try
+            {
+                // データ更新
+                string strWhere = "";
+                if (strDate.Length != 0)
+                {
+                    //strWhere = string.Format(" Where TO_CHAR(StartDate,'YYYY/MM') = '{0}'", strDate);
+                    strWhere = string.Format(" Where DATE_FORMAT(StartDate,'%Y/%m') = '{0}'", strDate);
+                }
+                iRet = picDB.SelectMaxPersonCodeCount(strWhere);
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return iRet;
+            }
+            finally
+            {
+                picDB.close();
+                picDB = null;
+            }
+            return iRet;
+        }
+        #endregion
+
+        #region 担当者マスタ登録
+        /// <summary>
+        /// 担当者マスタ登録
+        /// </summary>
+        private bool PersonInChargeMasterDataEntry()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOMPersonSalary salaryDB = new IOMPersonSalary();
+            IOMPersonDepartment pDepDB = new IOMPersonDepartment();
+            try
+            {
+                //// 一括処理なので接続を行う
+                picDB.connect(); picDB.beginTran();
+                salaryDB.connect(); salaryDB.beginTran();
+                pDepDB.connect(); pDepDB.beginTran();
+
+                // 表示順を更新する
+                foreach (DataGridViewRow wrkRow in dgvMaster.Rows)
+                {
+                    // 担当者コード無は処理しない
+                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispListColumn.PERSON_CODE].Value)) continue;
+
+                    List<PersonInChargeMaster> cwrow = new List<PersonInChargeMaster>();
+
+                    // 検索文字列作成
+                    string SQLRow = picDB.CreatePrimarykeyString(
+                                                CommonMotions.cnvInt(wrkRow.Cells[(int)DispListColumn.PERSON_CODE].Value));
+
+                    // データ取得
+                    if (!picDB.SelectAction(SQLRow, ref cwrow, false)) break;
+                    // 表示順変更
+                    cwrow[0].DisplayOrder = CommonMotions.cnvInt(wrkRow.Cells[(int)DispListColumn.DISPLAY_ORDER].Value);
+                    // データ更新
+                    picDB.UpdateAction(SQLRow, cwrow[0], false);
+                }
+
+                // 担当者給与マスタ更新
+                if (!PersonSalaryDataEntry(salaryDB))
+                {
+                    picDB.rollback();
+                    salaryDB.rollback();
+                    MessageBox.Show("担当者給与マスタ更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                PersonInChargeMaster work = new PersonInChargeMaster();
+                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>();
+
+                // データセット
+                SetPersonMasterData(picDB, ref work);
+
+                // データ存在確認
+                string strWhere = string.Format(" Where PersonCode = {0}", work.PersonCode.ToString());
+
+                if (!picDB.SelectAction(strWhere, ref workList, false))
+                {
+                    picDB.rollback();
+                    MessageBox.Show("担当者マスタ登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                if (workList.Count == 0)
+                {
+                    // 表示順セット
+                    work.DisplayOrder = picDB.SelectMaxDisplayCount("", false) + 1;
+                    // データがない場合
+                    workList.Clear();
+                    workList.Add(work);
+                    // データ登録
+                    if (!picDB.InsertAction(workList, false))
+                    {
+                        picDB.rollback();
+                        MessageBox.Show("担当者マスタ登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+                else
+                {
+                    // 表示順セット
+                    work.DisplayOrder = workList[0].DisplayOrder;
+                    // データがある場合
+                    // データ更新
+                    if (!picDB.UpdateAction(strWhere, work, false))
+                    {
+                        picDB.rollback();
+                        MessageBox.Show("担当者マスタ更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
+                // 担当者参照部署マスタ更新
+                if (!PersonDepartmentDataEntry(pDepDB))
+                {
+                    picDB.rollback();
+                    salaryDB.rollback();
+                    pDepDB.rollback();
+                    MessageBox.Show("参照部署マスタ更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
+                // 成功したらcommit
+                picDB.commit();
+                salaryDB.commit();
+                pDepDB.commit();
+
+                // コードクリア
+                m_PersonCode = 0;
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                salaryDB.close(); salaryDB = null;
+                pDepDB.close(); pDepDB = null;
+            }
+        }
+        #endregion
+
+        #region 担当者マスタデータセット
+        /// <summary>
+        /// 担当者マスタデータセット
+        /// </summary>
+        /// <param name="work"></param>
+        private void SetPersonMasterData(IOMPersonInCharge picDB, ref PersonInChargeMaster work)
+        {
+            try
+            {
+                // 担当者コード
+                work.PersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode].Text.ToString());
+
+                // 担当者名
+                work.PersonName = m_dispControl[(int)DispCtrl.PersonName].Text.ToString();
+
+                // 開始年月日
+                if (m_dispControl[(int)DispCtrl.StartDate].Text.Length != 0)
+                    work.StartDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.StartDate].Text);
+
+                // 終了年月日
+                if (m_dispControl[(int)DispCtrl.EndDate].Text.Length != 0)
+                    work.EndDate = CommonMotions.cnvDate(m_dispControl[(int)DispCtrl.EndDate].Text);
+
+                // パスワード
+                if (m_dispControl[(int)DispCtrl.PassWord].Text.Length != 0)
+                    work.PassWord = m_dispControl[(int)DispCtrl.PassWord].Text;
+                
+                double MonthryCost = 0;
+                double YearsCost = 0;
+                CommonMotions.GetSalaryValue(picDB, work.PersonCode, ref MonthryCost, ref YearsCost, DateTime.Today);
+                // 月給金額
+                work.MonthlySalary = MonthryCost;
+
+                // 年俸金額
+                work.YearSalary = YearsCost;
+
+                // 旧セキュリティ区分
+                work.SecurityManagement = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.SecurityManegement].Text);
+
+                // 機密区分
+                if (m_dispControl[(int)DispCtrl.SecManage].Text.Length != 0)
+                    work.SecCode = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue.ToString());
+                
+                // 工事詳細台帳
+                if (m_dispControl[(int)DispCtrl.LedgerFlg].Text.Length != 0)
+                    work.LedgerFlg = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.LedgerFlg]).SelectedValue.ToString());
+
+                #region 未使用
+                //// メッセージ背景色
+                //if (m_dispControl[(int)Dispcount.MessageColor].Visible)
+                //{
+                //    Control wrkCtrl = m_dispControl[(int)Dispcount.MessageColor];
+                //    work.MsgBackColor = String.Format("0x{0:X2}{1:X2}{2:X2}"
+                //                        , wrkCtrl.BackColor.R, wrkCtrl.BackColor.G, wrkCtrl.BackColor.B);
+                //}
+                #endregion
+
+                // 表示・印刷文字列
+                if (m_dispControl[(int)DispCtrl.DisplayString].Text.Length != 0)
+                    work.DisplayString = m_dispControl[(int)DispCtrl.DisplayString].Text;
+
+                // 部署コード
+                if (m_dispControl[(int)DispCtrl.Department].Text.Length != 0)
+                    work.DepartmentCode = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.Department]).SelectedValue.ToString());
+
+                // 資格情報
+                work.Qualification = m_dispControl[(int)DispCtrl.Qualification].Text.ToString();
+
+                // 印鑑表示名
+                work.SealPrintName = m_dispControl[(int)DispCtrl.SealPrintName].Text.ToString();
+
+                // 社員区分（社員）
+                work.EmployeeClassFlg = (int)CommonDefine.EmployeeClassFlg.Regular;
+
+                // 削除フラグ
+                work.DeleteFlg = 0;
+
+                // 表示順はセットしない
+                work.DisplayOrder = 0;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 担当者給与マスタ更新
+        /// <summary>
+        /// 担当者給与マスタ更新
+        /// </summary>
+        private bool PersonSalaryDataEntry(IOMPersonSalary salaryDB)
+        {
+            try
+            {
+                // まず削除する
+                string strSQL = salaryDB.CreatePrimarykeyString(m_PersonCode, DateTime.MinValue);
+                salaryDB.DeleteAction(strSQL, false);
+
+                foreach (DataGridViewRow wrkRow in dgvSalary.Rows)
+                {
+                    DateTime StartDate = CommonMotions.cnvDate(wrkRow.Cells[0].Value);
+                    if (StartDate == DateTime.MinValue) continue;
+
+                    PersonSalaryMaster RowRec = new PersonSalaryMaster();
+                    RowRec.PersonCode = m_PersonCode;                                   // 担当者コード
+                    RowRec.StartDate = StartDate;                                       // 使用開始年月日付
+                    RowRec.MonthlySalary = CommonMotions.cnvInt(wrkRow.Cells[1].Value); // 月給金額
+                    RowRec.YearSalary = CommonMotions.cnvInt(wrkRow.Cells[2].Value);	// 年棒金額
+
+                    if (!salaryDB.InsertAction(RowRec, false)) return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 対象部署マスタ更新
+        /// <summary>
+        /// 対象部署マスタ更新
+        /// </summary>
+        /// <param name="salaryDB"></param>
+        /// <returns></returns>
+        private bool PersonDepartmentDataEntry(IOMPersonDepartment pDepDB)
+        {
+            try
+            {
+                // まず削除する
+                string strSQL = pDepDB.CreatePrimarykeyString(m_PersonCode);
+                pDepDB.DeleteAction(strSQL, false);
+
+                // まず所属部署を登録する
+                PersonDepartmentMaster depRec = new PersonDepartmentMaster();
+                depRec.PersonCode = m_PersonCode;                                           // 担当者コード
+                depRec.DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);  // 対象部署コード
+                depRec.AffiliationFlg = (int)CommonDefine.AffiliationFlg.Affiliation;       // 所属フラグ
+                if (!pDepDB.InsertAction(depRec, false)) return false;
+
+                // 参照部署設定無は処理しない
+                if (!dgvRefDepartment.Visible) return true;
+
+                foreach (DataGridViewRow wrkRow in dgvRefDepartment.Rows)
+                {
+                    string RefDep = CommonMotions.cnvString(wrkRow.Cells[1].Value);
+                    if (RefDep.Length == 0) continue;
+
+                    PersonDepartmentMaster RowRec = new PersonDepartmentMaster();
+
+                    RowRec.PersonCode = m_PersonCode;                                           // 担当者コード
+                    RowRec.DepartmentCode = CommonMotions.cnvInt(wrkRow.Cells[0].Value);        // 対象部署コード
+                    RowRec.AffiliationFlg = (int)CommonDefine.AffiliationFlg.Ohter;             // 所属フラグ
+                    if (!pDepDB.InsertAction(RowRec, false)) return false;
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 表示オブジェクトの取得
+        /// <summary>
+        /// 表示オブジェクトの取得
+        /// </summary>
+        private void SetDisplayObject()
+        {
+            int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
+            m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
+            m_dispControl[(int)DispCtrl.PersonCode] = lblPersonCode;
+            m_dispControl[(int)DispCtrl.PersonName] = txtInput1;
+            m_dispControl[(int)DispCtrl.StartDate] = txtInput2;
+            m_dispControl[(int)DispCtrl.EndDate] = txtInput3;
+            m_dispControl[(int)DispCtrl.PassWord] = txtInput4;
+            m_dispControl[(int)DispCtrl.MonthlySalary] = txtInput6;
+            m_dispControl[(int)DispCtrl.YearSalary] = txtInput7;
+            m_dispControl[(int)DispCtrl.SalaryStDate] = txtInput10;
+            m_dispControl[(int)DispCtrl.SecManage] = cmbSecManage;
+            m_dispControl[(int)DispCtrl.MessageColor] = lblMessageColor;
+            m_dispControl[(int)DispCtrl.Department] = cmbDepartment;
+            m_dispControl[(int)DispCtrl.DisplayString] = txtInput5;
+            m_dispControl[(int)DispCtrl.Qualification] = txtInput8;
+            m_dispControl[(int)DispCtrl.SealPrintName] = txtInput9;
+            m_dispControl[(int)DispCtrl.LedgerFlg] = cmbLedgerFlg;
+            m_dispControl[(int)DispCtrl.SecRank] = lblSecRank;
+            m_dispControl[(int)DispCtrl.SecRange] = lblSecRange;
+            m_dispControl[(int)DispCtrl.RefDepartment] = cmbRefDepartment;
+            m_dispControl[(int)DispCtrl.SecurityManegement] = lblSecurtyManegement;
+        }
+        #endregion
+
+        #region 機密区分コンボボックス初期表示処理
+        /// <summary>
+        /// 機密区分コンボボックス初期表示処理
+        /// </summary>
+        private void SetSecurityManagementCombBox()
+        {
+            m_bEventStop = true;
+            IOMSecurity SecDB = new IOMSecurity();
+            try
+            {
+                // コンボボックスクリア
+                cmbSecManage.DataSource = null;
+                cmbSecManage.Items.Clear();
+
+                // 選択項目クリア
+                cmbSecManage.Text = "";
+
+                //コンボボックスのデータをセットする
+                string strSQL = " Order By DisplayOrder";
+                List<SecurityMaster> data = new List<SecurityMaster>();
+                if (!SecDB.SelectAction(strSQL, ref data)) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                foreach (SecurityMaster wrk in data)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.SecCode, wrk.SecName);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbSecManage, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                SecDB.close(); SecDB = null;
+                m_bEventStop = false;
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックス初期表示処理
+        /// <summary>
+        /// 部署コンボボックス初期表示処理
+        /// </summary>
+        private void SetDepartmentCombBox(ComboBox cmbBox)
+        {
+            IOMDepartment dmDB = new IOMDepartment();
+            m_bEventStop = true;
+            try
+            {
+                // コンボボックスクリア
+                cmbBox.DataSource = null;
+                cmbBox.Items.Clear();
+
+                // 選択項目クリア
+                cmbBox.Text = "";
+
+                //コンボボックスのデータをセットする
+                string strSQL = " Where DeleteFlg = 0 Order By DisplayOrder";
+                List<DepartmentMaster> data = new List<DepartmentMaster>();
+                if (!dmDB.SelectAction(strSQL, ref data)) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                foreach (DepartmentMaster wrk in data)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.DepartmentCode, wrk.DepartmentString);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbBox, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                dmDB.close();
+                dmDB = null;
+
+                m_bEventStop = false;
+            }
+        }
+        #endregion
+
+        #region 工事詳細台帳計算対象コンボボックス初期表示処理
+        /// <summary>
+        /// 工事詳細台帳計算対象コンボボックス初期表示処理
+        /// </summary>
+        private void SetCalcLedgerCombBox()
+        {
+            m_bEventStop = true;
+            try
+            {
+                // コンボボックスクリア
+                cmbLedgerFlg.DataSource = null;
+                cmbLedgerFlg.Items.Clear();
+
+                // 選択項目クリア
+                cmbLedgerFlg.Text = "";
+
+                //コンボボックスのデータをセットする
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                for (int i = 0; i < PersonLedgerDivNoName.Length; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(i, PersonLedgerDivNoName[i]);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbLedgerFlg, DataList);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                m_bEventStop = false;
+            }
+        }
+        #endregion
+
+        #region 給与グリッド追加
+        /// <summary>
+        /// 給与グリッド追加
+        /// </summary>
+        private void SalaryGridDataAdd()
+        {
+            try
+            {
+                // ----- データチェック
+                bool bRet = true;
+                // 給与開始年月
+                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)DispCtrl.SalaryStDate], true);
+
+                // 月給金額
+                bRet &= CommonMotions.DispFieldDoubleCheck(m_dispControl[(int)DispCtrl.MonthlySalary], true);
+
+                // 年棒金額
+                bRet &= CommonMotions.DispFieldDoubleCheck(m_dispControl[(int)DispCtrl.YearSalary], true);
+
+                if (!bRet)
+                {
+                    MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                string TergetDate = m_dispControl[(int)DispCtrl.SalaryStDate].Text;
+                foreach (DataGridViewRow RowData in dgvSalary.Rows)
+                {
+                    string compDate = CommonMotions.cnvString(RowData.Cells[(int)SalaryGridColumn.StartData].Value);
+                    if (compDate.Equals(TergetDate))
+                    {
+                        bRet = false;
+                        break;
+                    }
+                }
+                if (!bRet)
+                {
+                    MessageBox.Show("同じ日付があります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                DataGridView dgv = dgvSalary;
+                dgv.Rows.Insert(0, 1);
+
+                dgv.Rows[0].Cells[(int)SalaryGridColumn.StartData].Value = m_dispControl[(int)DispCtrl.SalaryStDate].Text;
+                dgv.Rows[0].Cells[(int)SalaryGridColumn.MonthlySalary].Value = m_dispControl[(int)DispCtrl.MonthlySalary].Text;
+                dgv.Rows[0].Cells[(int)SalaryGridColumn.YearSalary].Value = m_dispControl[(int)DispCtrl.YearSalary].Text;
+
+                m_dispControl[(int)DispCtrl.SalaryStDate].Text = string.Empty;
+                m_dispControl[(int)DispCtrl.MonthlySalary].Text = string.Empty;
+                m_dispControl[(int)DispCtrl.YearSalary].Text = string.Empty;
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 給与グリッド削除
+        /// <summary>
+        /// 給与グリッド削除
+        /// </summary>
+        private void SalaryGridDataRemove(int RowCnt)
+        {
+            try
+            {
+                if (MessageBox.Show("選択行のデータが削除されます、確認してください。", "削除確認",
+                                    MessageBoxButtons.OKCancel, MessageBoxIcon.Question) == DialogResult.Cancel) return;
+
+                DataGridView dgv = dgvSalary;
+                dgv.Rows.RemoveAt(RowCnt);
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 空行詰め
+                int count = s_FixRowsSalaryGrid - dgvSalary.RowCount;
+                if (count > 0) dgvSalary.RowCount += count;
+            }
+        }
+        #endregion
+
+        #region 参照部署グリッド追加
+        /// <summary>
+        /// 参照部署グリッド追加
+        /// </summary>
+        private void RefDepGridDataAdd()
+        {
+            try
+            {
+                // ----- データチェック
+                bool bRet = true;
+                // 給与開始年月
+                bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.RefDepartment]);
+
+                if (!bRet)
+                {
+                    MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                DataGridView dgv = dgvRefDepartment;
+                int AffDepCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+                int RefDepCode = CommonMotions.cnvInt(cmbRefDepartment.SelectedValue);
+
+                int Rowcnt = 0;
+                int ErrorCode = 0;
+                foreach (DataGridViewRow RowData in dgv.Rows)
+                {
+                    int iDepcode = CommonMotions.cnvInt(RowData.Cells[(int)RefDepGridColumn.DepCode].Value);
+                    string sDepName = CommonMotions.cnvString(RowData.Cells[(int)RefDepGridColumn.DepName].Value);
+                    
+                    if (sDepName.Length != 0) Rowcnt++;
+                    // 所属部署が既にグリッドにある
+                    if (AffDepCode == RefDepCode)
+                    {
+                        bRet = false;
+                        ErrorCode = 1;
+                        break;
+                    }
+                    // 登録部署が既にグリッドにある
+                    if (iDepcode == RefDepCode)
+                    {
+                        bRet = false;
+                        ErrorCode = 2;
+                        break;
+                    }
+                }
+                if (!bRet)
+                {
+                    string strMsg = string.Empty;
+                    switch (ErrorCode)
+                    {
+                        case 1:
+                            strMsg = "所属部署は登録できません、確認してください。";
+                            break;
+                        case 2:
+                            strMsg = "同じ部署があります、確認してください。";
+                            break;
+                        default:
+                            break;
+                    }
+                    MessageBox.Show(strMsg, "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                dgv.RowCount = Rowcnt;
+                
+                int RowPos = dgv.Rows.Add(1);
+
+                dgv.Rows[RowPos].Cells[(int)RefDepGridColumn.DepCode].Value = RefDepCode;
+                dgv.Rows[RowPos].Cells[(int)RefDepGridColumn.DepName].Value = cmbRefDepartment.Text;
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 空行詰め
+                int count = s_FixRowsRefDepGrid - dgvRefDepartment.RowCount;
+                if (count > 0) dgvRefDepartment.RowCount += count;
+            }
+        }
+        #endregion
+
+        #region 部署グリッド削除
+        /// <summary>
+        /// 部署グリッド削除
+        /// </summary>
+        private void RefDepGridDataRemove(int RowCnt)
+        {
+            try
+            {
+                if (MessageBox.Show("選択行の【部署】が削除されます、確認してください。", "削除確認",
+                                    MessageBoxButtons.OKCancel, MessageBoxIcon.Question) == DialogResult.Cancel) return;
+
+                DataGridView dgv = dgvRefDepartment;
+                dgv.Rows.RemoveAt(RowCnt);
+
+                m_bChengeAns = true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 空行詰め
+                int count = s_FixRowsRefDepGrid - dgvRefDepartment.RowCount;
+                if (count > 0) dgvRefDepartment.RowCount += count;
+            }
+        }
+        #endregion
+
+        #region 参照部署選択表示制御
+        /// <summary>
+        /// 参照部署選択表示制御
+        /// </summary>
+        private void CtrlRefDepDisp()
+        {
+            try
+            {
+                // 機密区分取得
+                int wrk = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue.ToString());
+
+                // セキュリティマスタ取得
+                int SecRange = 0;
+                int SecRank = ClsSecurityPermission.GetDataAccessRank(wrk, ref SecRange);
+
+                // ----- 機密区分の表示
+                SetSecRankString(SecRank);
+
+                // ----- 機密区分範囲・参照部署の表示
+                // 参照部署データ表示部制御
+                RefDepartmentData(SecRange);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セキュリティ区分表示
+        /// <summary>
+        /// セキュリティ区分表示
+        /// </summary>
+        /// <param name="SecRank"></param>
+        private void SetSecRankString(int SecRank)
+        {
+            try
+            {
+                // ----- 機密区分の表示
+                // 機密区分ランク
+                KeyValuePair<int, string> SecRankValue;
+                if (SecRank == 0)
+                {
+                    SecRankValue = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority];
+                }
+                else
+                {
+                    SecRankValue = CommonMotions.SearchSecurityRankList(SecRank);
+                }
+                m_dispControl[(int)DispCtrl.SecRank].Text = SecRankValue.Value;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+    }
+}
